Patch Account

PATCHhttps://bank.dattaremit.com/api/accounts/{account_guid}

Requires a bank-scoped key.

Updates an account.

Required scope: accounts:write

Path Params

account_guidstringrequired

Identifier for the account.

Body Params

required
namestring

The name of the account.

Responses

200

account updated

400

Invalid requests

401

Unauthorized - Authentication failed

403

Invalid scope

404

account not found

Request

curl https://api.dattaremit.com/api/accounts/{account_guid} \
  -X PATCH \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string"
}'

Response

account updated

{
  "type": "string",
  "guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "asset": "string",
  "name": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "platform_balance": 1,
  "minimum_balance_funding_pull": 1,
  "platform_available": 1,
  "state": "string",
  "labels": [
    "string"
  ]
}